.banner {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.banner__slide {
  width: 100%;
  height: 100%;
}

.banner__video-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
}

.banner__video-wrapper:before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1;
  pointer-events: none;
}

.banner__video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner__content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); /* Center properly */
  z-index: 2;
  text-align: center;
  padding: 1rem;
  max-width: 90%; /* Prevents squashing on mobile */
  width: 100%;
  box-sizing: border-box;
}

.banner__heading {
  font-size: 3rem;
  color: #ff0000;
  font-weight: bold;
  margin-bottom: 1rem;

  @media screen and (max-width: 991px) {
    font-size: 2rem;
  }
}

.banner__copy {
  font-size: 1.25rem;
  margin-bottom: 2rem;

  @media screen and (max-width: 991px) {
    font-size: 1rem;
  }
}

.banner__button {
  display: inline-block;
  padding: 0.75rem 1.5rem;
  background-color: #ff0000;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: background-color 0.3s;
  max-width: 218px;

  @media screen and (max-width: 991px) {
    font-size: 1rem;
    padding: 0.5rem 1rem;
  }
}

.banner__button:hover {
  background-color: #cc0000;
}
